Bug 1401934 (CVE-2016-9813)

Summary: CVE-2016-9813 gstreamer-plugins-bad-free: NULL pointer dereference in mpegts parser
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bdpepple, bmcclain, bnocera, cfergeau, dblechte, dkholia, eedri, fabian.deutsch, fidencio, gklein, jgrulich, lsurette, marcandre.lureau, mgoldboi, michal.skrivanek, mike, negativo17, otte, rbalakri, rh-spice-bugs, sherold, slawomir, srevivo, uraeus, victortoso, wtaymans, ykaul, ylavi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference flaw was found in GStreamer's MPEG-TS parser. A remote attacker could use this flaw to cause an application using GStreamer to crash.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-16 08:16:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1401945, 1401946, 1401947, 1401948, 1408416, 1408417    
Bug Blocks: 1401937    

Description Adam Mariš 2016-12-06 12:31:50 UTC
An out-of-bounds read leading to null pointer dereference vulnerability in mpegts parser in _parse_pat was found.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=775120

Upstream patch:

https://github.com/GStreamer/gst-plugins-bad/commit/7b12593cceaa0726d7fc370a7556a8e773ccf318

CVE assignment:

http://seclists.org/oss-sec/2016/q4/589

Comment 1 Adam Mariš 2016-12-06 12:44:31 UTC
Created mingw-gstreamer1-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1401948]

Comment 2 Adam Mariš 2016-12-06 12:44:49 UTC
Created gstreamer1-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1401946]

Comment 3 Adam Mariš 2016-12-06 12:45:05 UTC
Created gstreamer-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1401945]

Comment 4 Adam Mariš 2016-12-06 12:45:22 UTC
Created mingw-gstreamer-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1401947]

Comment 7 errata-xmlrpc 2017-01-05 10:06:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0021 https://rhn.redhat.com/errata/RHSA-2017-0021.html